Subject: Re: [bug#61674] [PATCH 0/4] gnu: stellarium: Enable ShowMySky.

From: Simon Tournier <[email-masked]>
Date: Fri, 3 Mar 2023 12:04:54 +0100

Hi,

On Fri, 3 Mar 2023 at 11:49, Ludovic Courtès <[email-masked]> wrote:

> This is so that the ‘replacement’ field of ‘calcmysky’, when there is
> one, inherits the same transformations in ‘calcmysky-qt5’.  Quoth the
> ‘package/inherit’ docstring:
>
>   Like (package (inherit P) OVERRIDES ...), except that the same
>   transformation is done to the package P's replacement, if any.  P must
>   be a bare identifier, and will be bound to either P or its replacement
>   when evaluating OVERRIDES.

Thanks for the explanations but it is still unclear.  Sorry to be slow.

It is not clear for me why you choose one over the other.  From my
current understanding, I would be tempted to always use
'package/inherit' and never plain 'inherit'.

Cheers,
simon